Subject: RE: draft-hain-templin-ipv6-localcomm-03 comments

From: Pekka Savola <[email-masked]>
Date: Mon, 24 Nov 2003 23:44:12 +0200 (EET)

On Mon, 24 Nov 2003, Tony Hain wrote:
> Brian E Carpenter wrote:
> > ...
> > Now, I would be completely happy for us to throw away the Hain/Templin
> > draft as long as we immediately standardize the Hinden/Haberman solution.
> > But if we want to address (pun intended) the problems of the real world,
> > we cannot ignore the fact that most corporate network managers are
> > profoundly convinced of the need for private addressing.
> 
> In many cases I would agree with Brian, but in this specific one we have an
> example of lost discussion from many years ago about why network managers
> 'need' a private space, and FEC0 was allocated for it. We need to document
> why Hinden/Haberman is needed to solve today's problems, so we don't end up
> arguing about it 5 years from now.

If you know the result in advance, why bother to write a 
requirements/goals document?

Wouldn't it just make more sense to just write a document describing 
why private addressing is a good idea (and similarly, say why it is a 
bad idea) ?

The current document, with its broad title, "Goals for Local
Communications within Sites", gives an impression that the document
would be looking neutrally to the real requirements, not presuppose
the solutions.  Even a bare glance at the document shows that there
doesn't even seem to be an attempt to describe the requirements in
terms which are not related to addressing -based solutions.

-- 
Pekka Savola                 "You each name yourselves king, yet the
Netcore Oy                    kingdom bleeds."
Systems. Networks. Security. -- George R.R. Martin: A Clash of Kings

--------------------------------------------------------------------
IETF IPv6 working group mailing list
[email-masked]
Administrative Requests: https://www1.ietf.org/mailman/listinfo/ipv6
--------------------------------------------------------------------